import{s as lt,o as nt,n as st}from"../chunks/scheduler.bdbef820.js";import{S as it,i as pt,g as p,s as l,r as c,A as ot,h as o,f as a,c as n,j as Ye,u as m,x as r,k as We,y as rt,a as s,v as f,d as h,t as $,w as g}from"../chunks/index.c0aea24a.js";import{H as ee,g as dt}from"../chunks/Heading.007cc5b6.js";import{T as at}from"../chunks/Tip.31005f7d.js";import{C as T}from"../chunks/CodeBlock.6ccca92e.js";function ct(O){let i,u='If you want to reuse a dataset from scratch, try setting the <code>download_mode</code> parameter in <a href="/docs/datasets/v2.15.0/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> instead.';return{c(){i=p("p"),i.innerHTML=u},l(d){i=o(d,"P",{"data-svelte-h":!0}),r(i)!=="svelte-1n2rpip"&&(i.innerHTML=u)},m(d,w){s(d,i,w)},p:st,d(d){d&&a(i)}}}function mt(O){let i,u="Keeping the predictions in-memory is not possible in a distributed setting since the CPU memory spaces of the various processes are not shared.";return{c(){i=p("p"),i.textContent=u},l(d){i=o(d,"P",{"data-svelte-h":!0}),r(i)!=="svelte-qterzj"&&(i.textContent=u)},m(d,w){s(d,i,w)},p:st,d(d){d&&a(i)}}}function ft(O){let i,u,d,w,b,ae,M,Xe="When you download a dataset, the processing scripts and data are stored locally on your computer. The cache allows 🤗 Datasets to avoid re-downloading or processing the entire dataset every time you use it.",se,v,Ue="This guide will show you how to:",le,C,Ee="<li>Change the cache directory.</li> <li>Control how a dataset is loaded from the cache.</li> <li>Clean up cache files in the directory.</li> <li>Enable or disable caching.</li>",ne,x,ie,j,Se="The default cache directory is <code>~/.cache/huggingface/datasets</code>. Change the cache location by setting the shell environment variable, <code>HF_DATASETS_CACHE</code> to another directory:",pe,J,oe,k,Le="When you load a dataset, you also have the option to change where the data is cached. Change the <code>cache_dir</code> parameter to the path you want:",re,Z,de,R,Pe="Similarly, you can change where a metric is cached with the <code>cache_dir</code> parameter:",ce,G,me,F,fe,H,De='After you download a dataset, control how it is loaded by <a href="/docs/datasets/v2.15.0/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a> with the <code>download_mode</code> parameter. By default, 🤗 Datasets will reuse a dataset if it exists. But if you need the original dataset without any processing functions applied, re-download the files as shown below:',he,I,$e,Y,ze='Refer to <a href="/docs/datasets/v2.15.0/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a> for a full list of download modes.',ge,W,ue,X,Ae='Clean up the cache files in the directory with <a href="/docs/datasets/v2.15.0/en/package_reference/main_classes#datasets.Dataset.cleanup_cache_files">Dataset.cleanup_cache_files()</a>:',we,U,_e,E,ye,S,Ne='If you’re using a cached file locally, it will automatically reload the dataset with any previous transforms you applied to the dataset. Disable this behavior by setting the argument <code>load_from_cache_file=False</code> in <a href="/docs/datasets/v2.15.0/en/package_reference/main_classes#datasets.Dataset.map">Dataset.map()</a>:',Te,L,be,P,Ve="In the example above, 🤗 Datasets will execute the function <code>add_prefix</code> over the entire dataset again instead of loading the dataset from its previous state.",Me,D,Be='Disable caching on a global scale with <a href="/docs/datasets/v2.15.0/en/package_reference/main_classes#datasets.disable_caching">disable_caching()</a>:',ve,z,Ce,A,Qe="When you disable caching, 🤗 Datasets will no longer reload cached files when applying transforms to datasets. Any transform you apply on your dataset will be need to be reapplied.",xe,_,je,N,qe="You can also avoid caching your metric entirely, and keep it in CPU memory instead:",Je,V,ke,y,Ze,K,Re,B,Ge,Q,Oe="Disabling the cache and copying the dataset in-memory will speed up dataset operations. There are two options for copying the dataset in-memory:",Fe,q,Ke="<li><p>Set <code>datasets.config.IN_MEMORY_MAX_SIZE</code> to a nonzero value (in bytes) that fits in your RAM memory.</p></li> <li><p>Set the environment variable <code>HF_DATASETS_IN_MEMORY_MAX_SIZE</code> to a nonzero value. Note that the first method takes higher precedence.</p></li>",He,te,Ie;return b=new ee({props:{title:"Cache management",local:"cache-management",headingTag:"h1"}}),x=new ee({props:{title:"Cache directory",local:"cache-directory",headingTag:"h2"}}),J=new T({props:{code:"JTI0JTIwZXhwb3J0JTIwSEZfREFUQVNFVFNfQ0FDSEUlM0QlMjIlMkZwYXRoJTJGdG8lMkZhbm90aGVyJTJGZGlyZWN0b3J5JTIy",highlighted:'$ <span class="hljs-built_in">export</span> <span class="hljs-attribute">HF_DATASETS_CACHE</span>=<span class="hljs-string">&quot;/path/to/another/directory&quot;</span>',wrap:!1}}),Z=new T({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCgnTE9BRElOR19TQ1JJUFQnJTJDJTIwY2FjaGVfZGlyJTNEJTIyUEFUSCUyRlRPJTJGTVklMkZDQUNIRSUyRkRJUiUyMik=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&#x27;LOADING_SCRIPT&#x27;</span>, cache_dir=<span class="hljs-string">&quot;PATH/TO/MY/CACHE/DIR&quot;</span>)`,wrap:!1}}),G=new T({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9tZXRyaWMlMEFtZXRyaWMlMjAlM0QlMjBsb2FkX21ldHJpYygnZ2x1ZSclMkMlMjAnbXJwYyclMkMlMjBjYWNoZV9kaXIlM0QlMjJNWSUyRkNBQ0hFJTJGRElSRUNUT1JZJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_metric
<span class="hljs-meta">&gt;&gt;&gt; </span>metric = load_metric(<span class="hljs-string">&#x27;glue&#x27;</span>, <span class="hljs-string">&#x27;mrpc&#x27;</span>, cache_dir=<span class="hljs-string">&quot;MY/CACHE/DIRECTORY&quot;</span>)`,wrap:!1}}),F=new ee({props:{title:"Download mode",local:"download-mode",headingTag:"h2"}}),I=new T({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCgnc3F1YWQnJTJDJTIwZG93bmxvYWRfbW9kZSUzRCdmb3JjZV9yZWRvd25sb2FkJyk=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&#x27;squad&#x27;</span>, download_mode=<span class="hljs-string">&#x27;force_redownload&#x27;</span>)`,wrap:!1}}),W=new ee({props:{title:"Cache files",local:"cache-files",headingTag:"h2"}}),U=new T({props:{code:"ZGF0YXNldC5jbGVhbnVwX2NhY2hlX2ZpbGVzKCk=",highlighted:`<span class="hljs-comment"># Returns the number of removed cache files</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset.cleanup_cache_files()
<span class="hljs-number">2</span>`,wrap:!1}}),E=new ee({props:{title:"Enable or disable caching",local:"enable-or-disable-caching",headingTag:"h2"}}),L=new T({props:{code:"dXBkYXRlZF9kYXRhc2V0JTIwJTNEJTIwc21hbGxfZGF0YXNldC5tYXAoYWRkX3ByZWZpeCUyQyUyMGxvYWRfZnJvbV9jYWNoZV9maWxlJTNERmFsc2Up",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>updated_dataset = small_dataset.<span class="hljs-built_in">map</span>(add_prefix, load_from_cache_file=<span class="hljs-literal">False</span>)',wrap:!1}}),z=new T({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwZGlzYWJsZV9jYWNoaW5nJTBBZGlzYWJsZV9jYWNoaW5nKCk=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> disable_caching
<span class="hljs-meta">&gt;&gt;&gt; </span>disable_caching()`,wrap:!1}}),_=new at({props:{$$slots:{default:[ct]},$$scope:{ctx:O}}}),V=new T({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9tZXRyaWMlMEFtZXRyaWMlMjAlM0QlMjBsb2FkX21ldHJpYygnZ2x1ZSclMkMlMjAnbXJwYyclMkMlMjBrZWVwX2luX21lbW9yeSUzRFRydWUp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_metric
<span class="hljs-meta">&gt;&gt;&gt; </span>metric = load_metric(<span class="hljs-string">&#x27;glue&#x27;</span>, <span class="hljs-string">&#x27;mrpc&#x27;</span>, keep_in_memory=<span class="hljs-literal">True</span>)`,wrap:!1}}),y=new at({props:{warning:!0,$$slots:{default:[mt]},$$scope:{ctx:O}}}),B=new ee({props:{title:"Improve performance",local:"improve-performance",headingTag:"h2"}}),{c(){i=p("meta"),u=l(),d=p("p"),w=l(),c(b.$$.fragment),ae=l(),M=p("p"),M.textContent=Xe,se=l(),v=p("p"),v.textContent=Ue,le=l(),C=p("ul"),C.innerHTML=Ee,ne=l(),c(x.$$.fragment),ie=l(),j=p("p"),j.innerHTML=Se,pe=l(),c(J.$$.fragment),oe=l(),k=p("p"),k.innerHTML=Le,re=l(),c(Z.$$.fragment),de=l(),R=p("p"),R.innerHTML=Pe,ce=l(),c(G.$$.fragment),me=l(),c(F.$$.fragment),fe=l(),H=p("p"),H.innerHTML=De,he=l(),c(I.$$.fragment),$e=l(),Y=p("p"),Y.innerHTML=ze,ge=l(),c(W.$$.fragment),ue=l(),X=p("p"),X.innerHTML=Ae,we=l(),c(U.$$.fragment),_e=l(),c(E.$$.fragment),ye=l(),S=p("p"),S.innerHTML=Ne,Te=l(),c(L.$$.fragment),be=l(),P=p("p"),P.innerHTML=Ve,Me=l(),D=p("p"),D.innerHTML=Be,ve=l(),c(z.$$.fragment),Ce=l(),A=p("p"),A.textContent=Qe,xe=l(),c(_.$$.fragment),je=l(),N=p("p"),N.textContent=qe,Je=l(),c(V.$$.fragment),ke=l(),c(y.$$.fragment),Ze=l(),K=p("a"),Re=l(),c(B.$$.fragment),Ge=l(),Q=p("p"),Q.textContent=Oe,Fe=l(),q=p("ol"),q.innerHTML=Ke,He=l(),te=p("p"),this.h()},l(e){const t=ot("svelte-u9bgzb",document.head);i=o(t,"META",{name:!0,content:!0}),t.forEach(a),u=n(e),d=o(e,"P",{}),Ye(d).forEach(a),w=n(e),m(b.$$.fragment,e),ae=n(e),M=o(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1tli97h"&&(M.textContent=Xe),se=n(e),v=o(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-1aff4p7"&&(v.textContent=Ue),le=n(e),C=o(e,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1pju6bx"&&(C.innerHTML=Ee),ne=n(e),m(x.$$.fragment,e),ie=n(e),j=o(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-hnjznw"&&(j.innerHTML=Se),pe=n(e),m(J.$$.fragment,e),oe=n(e),k=o(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-rd1xw8"&&(k.innerHTML=Le),re=n(e),m(Z.$$.fragment,e),de=n(e),R=o(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-4jjxs"&&(R.innerHTML=Pe),ce=n(e),m(G.$$.fragment,e),me=n(e),m(F.$$.fragment,e),fe=n(e),H=o(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-njn8n6"&&(H.innerHTML=De),he=n(e),m(I.$$.fragment,e),$e=n(e),Y=o(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1w0xfr5"&&(Y.innerHTML=ze),ge=n(e),m(W.$$.fragment,e),ue=n(e),X=o(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-1c74ztk"&&(X.innerHTML=Ae),we=n(e),m(U.$$.fragment,e),_e=n(e),m(E.$$.fragment,e),ye=n(e),S=o(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-gsf396"&&(S.innerHTML=Ne),Te=n(e),m(L.$$.fragment,e),be=n(e),P=o(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-135z99u"&&(P.innerHTML=Ve),Me=n(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-1ktu3ip"&&(D.innerHTML=Be),ve=n(e),m(z.$$.fragment,e),Ce=n(e),A=o(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1cf02ij"&&(A.textContent=Qe),xe=n(e),m(_.$$.fragment,e),je=n(e),N=o(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-1j7qqxw"&&(N.textContent=qe),Je=n(e),m(V.$$.fragment,e),ke=n(e),m(y.$$.fragment,e),Ze=n(e),K=o(e,"A",{id:!0}),Ye(K).forEach(a),Re=n(e),m(B.$$.fragment,e),Ge=n(e),Q=o(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-1dk1qbe"&&(Q.textContent=Oe),Fe=n(e),q=o(e,"OL",{"data-svelte-h":!0}),r(q)!=="svelte-1nkx5nz"&&(q.innerHTML=Ke),He=n(e),te=o(e,"P",{}),Ye(te).forEach(a),this.h()},h(){We(i,"name","hf:doc:metadata"),We(i,"content",ht),We(K,"id","load_dataset_enhancing_performance")},m(e,t){rt(document.head,i),s(e,u,t),s(e,d,t),s(e,w,t),f(b,e,t),s(e,ae,t),s(e,M,t),s(e,se,t),s(e,v,t),s(e,le,t),s(e,C,t),s(e,ne,t),f(x,e,t),s(e,ie,t),s(e,j,t),s(e,pe,t),f(J,e,t),s(e,oe,t),s(e,k,t),s(e,re,t),f(Z,e,t),s(e,de,t),s(e,R,t),s(e,ce,t),f(G,e,t),s(e,me,t),f(F,e,t),s(e,fe,t),s(e,H,t),s(e,he,t),f(I,e,t),s(e,$e,t),s(e,Y,t),s(e,ge,t),f(W,e,t),s(e,ue,t),s(e,X,t),s(e,we,t),f(U,e,t),s(e,_e,t),f(E,e,t),s(e,ye,t),s(e,S,t),s(e,Te,t),f(L,e,t),s(e,be,t),s(e,P,t),s(e,Me,t),s(e,D,t),s(e,ve,t),f(z,e,t),s(e,Ce,t),s(e,A,t),s(e,xe,t),f(_,e,t),s(e,je,t),s(e,N,t),s(e,Je,t),f(V,e,t),s(e,ke,t),f(y,e,t),s(e,Ze,t),s(e,K,t),s(e,Re,t),f(B,e,t),s(e,Ge,t),s(e,Q,t),s(e,Fe,t),s(e,q,t),s(e,He,t),s(e,te,t),Ie=!0},p(e,[t]){const et={};t&2&&(et.$$scope={dirty:t,ctx:e}),_.$set(et);const tt={};t&2&&(tt.$$scope={dirty:t,ctx:e}),y.$set(tt)},i(e){Ie||(h(b.$$.fragment,e),h(x.$$.fragment,e),h(J.$$.fragment,e),h(Z.$$.fragment,e),h(G.$$.fragment,e),h(F.$$.fragment,e),h(I.$$.fragment,e),h(W.$$.fragment,e),h(U.$$.fragment,e),h(E.$$.fragment,e),h(L.$$.fragment,e),h(z.$$.fragment,e),h(_.$$.fragment,e),h(V.$$.fragment,e),h(y.$$.fragment,e),h(B.$$.fragment,e),Ie=!0)},o(e){$(b.$$.fragment,e),$(x.$$.fragment,e),$(J.$$.fragment,e),$(Z.$$.fragment,e),$(G.$$.fragment,e),$(F.$$.fragment,e),$(I.$$.fragment,e),$(W.$$.fragment,e),$(U.$$.fragment,e),$(E.$$.fragment,e),$(L.$$.fragment,e),$(z.$$.fragment,e),$(_.$$.fragment,e),$(V.$$.fragment,e),$(y.$$.fragment,e),$(B.$$.fragment,e),Ie=!1},d(e){e&&(a(u),a(d),a(w),a(ae),a(M),a(se),a(v),a(le),a(C),a(ne),a(ie),a(j),a(pe),a(oe),a(k),a(re),a(de),a(R),a(ce),a(me),a(fe),a(H),a(he),a($e),a(Y),a(ge),a(ue),a(X),a(we),a(_e),a(ye),a(S),a(Te),a(be),a(P),a(Me),a(D),a(ve),a(Ce),a(A),a(xe),a(je),a(N),a(Je),a(ke),a(Ze),a(K),a(Re),a(Ge),a(Q),a(Fe),a(q),a(He),a(te)),a(i),g(b,e),g(x,e),g(J,e),g(Z,e),g(G,e),g(F,e),g(I,e),g(W,e),g(U,e),g(E,e),g(L,e),g(z,e),g(_,e),g(V,e),g(y,e),g(B,e)}}}const ht='{"title":"Cache management","local":"cache-management","sections":[{"title":"Cache directory","local":"cache-directory","sections":[],"depth":2},{"title":"Download mode","local":"download-mode","sections":[],"depth":2},{"title":"Cache files","local":"cache-files","sections":[],"depth":2},{"title":"Enable or disable caching","local":"enable-or-disable-caching","sections":[],"depth":2},{"title":"Improve performance","local":"improve-performance","sections":[],"depth":2}],"depth":1}';function $t(O){return nt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=dt}),[]}class Tt extends it{constructor(i){super(),pt(this,i,$t,ft,lt,{})}}export{Tt as component};
